# Class CIM_PhysicalFrame
extends CIM_PhysicalPackage

PhysicalFrame is a superclass of Rack, Chassis and other frame enclosures, as they are defined in extension classes. Properties like visible or audible alarm, and data related to security breaches are in this superclass.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_PhysicalElement
|
+--CIM_PhysicalPackage
|
+--CIM_PhysicalFrame

## Direct Known Subclasses

CIM_Chassis
CIM_Rack

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PhysicalFrame is a superclass of Rack, Chassis and other frame enclosures, as they are defined in extension classes. Properties like visible or audible alarm, and data related to security breaches are in this superclass.
UMLPackagePath | string | CIM::Physical::Package
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AudibleAlarm | boolean |
Description | string | Boolean indicating whether the Frame is equipped with an audible alarm.
BreachDescription | string |
Description | string | BreachDescription is a free-form string providing more information if the SecurityBreach property indicates that a breach or some other security-related event occurred.
ModelCorrespondence | string | CIM_PhysicalFrame.SecurityBreach
CableManagementStrategy | string |
Description | string | CableManagementStrategy is a free-form string that contains information on how the various cables are connected and bundled for the Frame. With many networking, storage-related and power cables, cable management can be a complex and challenging endeavor. This string property contains information to aid in assembly and service of the Frame.
IsLocked | boolean |
Description | string | Boolean indicating that the Frame is currently locked.
LockPresent | boolean |
Description | string | Boolean indicating whether the Frame is protected with a lock.
SecurityBreach | uint16 |
Description | string | SecurityBreach is an enumerated, integer-valued property indicating whether a physical breach of the Frame was attempted but unsuccessful (value=4) or attempted and successful (5). Also, the values, "Unknown", "Other" or "No Breach", can be specified.
MappingStrings | string | MIF.DMTF|Physical Container Global Table|004.12
ModelCorrespondence | string | CIM_PhysicalFrame.BreachDescription
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, Unknown, No Breach, Breach Attempted, Breach Successful
VisibleAlarm | boolean |
Description | string | Boolean indicating that the equipment includes a visible alarm.
ServiceDescriptions | string[] |
ArrayType | string | Indexed
Description | string | An array of free-form strings providing more detailed explanations for any of the entries in the Service Philosophy array. Note, each entry of this array is related to the entry in ServicePhilosophy that is located at the same index.
ModelCorrespondence | string | CIM_PhysicalFrame.ServicePhilosophy
ServicePhilosophy | uint16[] |
ArrayType | string | Indexed
Description | string | ServicePhilosophy is an enumerated, integer-valued array that indicates whether the Frame is serviced from the top (value=2), front (3), back (4) or side (5), whether it has sliding trays (6) or removable sides (7), and/or whether the Frame is moveable (8), for example, having rollers.
ModelCorrespondence | string | CIM_PhysicalFrame.ServiceDescriptions
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8
Values | string | Unknown, Other, Service From Top, Service From Front, Service From Back, Service From Side, Sliding Trays, Removable Sides, Moveable

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
CanBeFRUed | boolean | CIM_PhysicalElement
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_PhysicalElement
Depth | real32 | CIM_PhysicalPackage
Description | string | CIM_PhysicalElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_PhysicalElement
HealthState | uint16 | CIM_ManagedSystemElement
Height | real32 | CIM_PhysicalPackage
HotSwappable | boolean | CIM_PhysicalPackage
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
ManufactureDate | datetime | CIM_PhysicalElement
Manufacturer | string | CIM_PhysicalElement
Model | string | CIM_PhysicalElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherIdentifyingInfo | string | CIM_PhysicalElement
OtherPackageType | string | CIM_PhysicalPackage
PackageType | uint16 | CIM_PhysicalPackage
PartNumber | string | CIM_PhysicalElement
PoweredOn | boolean | CIM_PhysicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Removable | boolean | CIM_PhysicalPackage
RemovalConditions | uint16 | CIM_PhysicalPackage
Replaceable | boolean | CIM_PhysicalPackage
SerialNumber | string | CIM_PhysicalElement
SKU | string | CIM_PhysicalElement
Status | string | CIM_ManagedSystemElement
Tag | string | CIM_PhysicalElement
UserTracking | string | CIM_PhysicalElement
VendorEquipmentType | string | CIM_PhysicalElement
Version | string | CIM_PhysicalElement
Weight | real32 | CIM_PhysicalPackage
Width | real32 | CIM_PhysicalPackage
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement
VendorCompatibilityStrings | string[] | CIM_PhysicalPackage

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
IsCompatible | uint32 | CIM_PhysicalPackage